# Copyright (c) 2017, InfluxFramework LLC
# License: MIT. See LICENSE
import influxframework


@influxframework.whitelist()
def get_leaderboard_config():
	leaderboard_config = influxframework._dict()
	leaderboard_hooks = influxframework.get_hooks("leaderboards")
	for hook in leaderboard_hooks:
		leaderboard_config.update(influxframework.get_attr(hook)())

	return leaderboard_config
